<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: SlicedPumpkin Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d5c/class_sliced_pumpkin.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">SlicedPumpkin Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SlicedPumpkin:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d5c/class_sliced_pumpkin.png" usemap="#SlicedPumpkin_map" alt=""/>
  <map id="SlicedPumpkin_map" name="SlicedPumpkin_map">
<area href="../../df/d7c/class_edible___base.html" alt="Edible_Base" shape="rect" coords="0,0,94,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a874d475b2578fab2ade87143bcefe509"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html#a874d475b2578fab2ade87143bcefe509">CanBeCooked</a> ()</td></tr>
<tr class="separator:a874d475b2578fab2ade87143bcefe509"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33a5f1c50202229ff406624c04a580cc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html#a33a5f1c50202229ff406624c04a580cc">CanBeCookedOnStick</a> ()</td></tr>
<tr class="separator:a33a5f1c50202229ff406624c04a580cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa677d18df723355e955fea9ef9b460fa"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html#aa677d18df723355e955fea9ef9b460fa">IsFruit</a> ()</td></tr>
<tr class="separator:aa677d18df723355e955fea9ef9b460fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99f9657770f14346468a9d28b903b75c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html#a99f9657770f14346468a9d28b903b75c">CanDecay</a> ()</td></tr>
<tr class="separator:a99f9657770f14346468a9d28b903b75c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5e7722acb99b6742540784790d4d58c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html#aa5e7722acb99b6742540784790d4d58c">SetActions</a> ()</td></tr>
<tr class="separator:aa5e7722acb99b6742540784790d4d58c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a874d475b2578fab2ade87143bcefe509" name="a874d475b2578fab2ade87143bcefe509"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a874d475b2578fab2ade87143bcefe509">&#9670;&#160;</a></span>CanBeCooked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SlicedPumpkin::CanBeCooked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>

</div>
</div>
<a id="a33a5f1c50202229ff406624c04a580cc" name="a33a5f1c50202229ff406624c04a580cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33a5f1c50202229ff406624c04a580cc">&#9670;&#160;</a></span>CanBeCookedOnStick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SlicedPumpkin::CanBeCookedOnStick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00008">8</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>

</div>
</div>
<a id="a99f9657770f14346468a9d28b903b75c" name="a99f9657770f14346468a9d28b903b75c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99f9657770f14346468a9d28b903b75c">&#9670;&#160;</a></span>CanDecay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SlicedPumpkin::CanDecay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00018">18</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>

</div>
</div>
<a id="aa677d18df723355e955fea9ef9b460fa" name="aa677d18df723355e955fea9ef9b460fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa677d18df723355e955fea9ef9b460fa">&#9670;&#160;</a></span>IsFruit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> SlicedPumpkin::IsFruit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00013">13</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>

</div>
</div>
<a id="aa5e7722acb99b6742540784790d4d58c" name="aa5e7722acb99b6742540784790d4d58c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5e7722acb99b6742540784790d4d58c">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void SlicedPumpkin::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html#l00023">23</a> of file <a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/Edible_Base/<a class="el" href="../../d4/dd3/_sliced_pumpkin_8c_source.html">SlicedPumpkin.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d5c/class_sliced_pumpkin.html">SlicedPumpkin</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
